import { isReferenceObject } from "./isReferenceObject";
import { resolveReference } from "./resolveReference";
export function resolveMethodReference(method, document) {
    if (isReferenceObject(method)) {
        return resolveReference(method, document, {
            name: "",
            params: [],
            result: { name: "", schema: { type: "object" } },
        });
    }
    return method;
}
